CacheHealthConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: CacheHealthConfig

Package org.apache.geode.admin

# Interface CacheHealthConfig

All Known Subinterfaces:
  `GemFireHealthConfig`

@Deprecated public interface CacheHealthConfig
Deprecated.
as of 7.0 use the `management` package instead
Provides configuration information relating to the health of a member of a GemFire distributed system that hosts a GemFire `Cache`.

If any of the following criteria is true, then a cache member is considered to be in `OKAY_HEALTH`.

- `netSearch` operations take too long to complete.
- Cache `load` operations take too long to complete.
- The overall cache `hitRatio` is too small
- The number of entries in the Cache `event delivery queue` is too large.
- If one of the regions is configured with `FULL_ACCESS` on role loss.

If any of the following criteria is true, then a cache member is considered to be in `POOR_HEALTH`.

- If one of the regions is configured with `NO_ACCESS` on role loss.
- If one of the regions is configured with `LIMITED_ACCESS` on role loss.

Since:
  GemFire 3.5

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `DEFAULT_MAX_EVENT_QUEUE_SIZE`
  Deprecated.
  The default maximum number of entries in the event delivery queue of a healthy cache member.
  `static final long`
  `DEFAULT_MAX_LOAD_TIME`
  Deprecated.
  The default maximum number of milliseconds a cache `load` operation can take before the cache member is considered to be unhealthy.
  `static final long`
  `DEFAULT_MAX_NET_SEARCH_TIME`
  Deprecated.
  The default maximum number of milliseconds a `netSearch` operation can take before the cache member is considered to be unhealthy.
  `static final double`
  `DEFAULT_MIN_HIT_RATIO`
  Deprecated.
  The default minimum hit ratio of a healthy cache member.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getMaxEventQueueSize()`
  Deprecated.
  Returns the maximum number of entries in the event delivery queue of a healthy cache member.
  `long`
  `getMaxLoadTime()`
  Deprecated.
  Returns the maximum number of milliseconds a cache `load` operation can take before the cache member is considered to be unhealthy.
  `long`
  `getMaxNetSearchTime()`
  Deprecated.
  Returns the maximum number of milliseconds a `netSearch` operation can take before the cache member is considered to be unhealthy.
  `double`
  `getMinHitRatio()`
  Deprecated.
  Returns the minimum hit ratio of a healthy cache member.
  `void`
  `setMaxEventQueueSize(long maxEventQueueSize)`
  Deprecated.
  Sets the maximum number of entries in the event delivery queue of a healthy cache member.
  `void`
  `setMaxLoadTime(long maxLoadTime)`
  Deprecated.
  Sets the maximum number of milliseconds a cache `load` operation can take before the cache member is considered to be unhealthy.
  `void`
  `setMaxNetSearchTime(long maxNetSearchTime)`
  Deprecated.
  Sets the maximum number of milliseconds a `netSearch` operation can take before the cache member is considered to be unhealthy.
  `void`
  `setMinHitRatio(double minHitRatio)`
  Deprecated.
  Sets the minimum hit ratio of a healthy cache member.

- ## Field Details

  - ### DEFAULT_MAX_NET_SEARCH_TIME

    static final long DEFAULT_MAX_NET_SEARCH_TIME
    Deprecated.
    The default maximum number of milliseconds a `netSearch` operation can take before the cache member is considered to be unhealthy.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAX_LOAD_TIME

    static final long DEFAULT_MAX_LOAD_TIME
    Deprecated.
    The default maximum number of milliseconds a cache `load` operation can take before the cache member is considered to be unhealthy.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MIN_HIT_RATIO

    static final double DEFAULT_MIN_HIT_RATIO
    Deprecated.
    The default minimum hit ratio of a healthy cache member.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAX_EVENT_QUEUE_SIZE

    static final long DEFAULT_MAX_EVENT_QUEUE_SIZE
    Deprecated.
    The default maximum number of entries in the event delivery queue of a healthy cache member.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getMaxNetSearchTime

    long getMaxNetSearchTime()
    Deprecated.
    Returns the maximum number of milliseconds a `netSearch` operation can take before the cache member is considered to be unhealthy.
    Returns:
      the maximum number of milliseconds a `netSearch` operation can take before the cache member is considered to be unhealthy
    See Also:
      - `DEFAULT_MAX_NET_SEARCH_TIME`

  - ### setMaxNetSearchTime

    void setMaxNetSearchTime(long maxNetSearchTime)
    Deprecated.
    Sets the maximum number of milliseconds a `netSearch` operation can take before the cache member is considered to be unhealthy.
    Parameters:
      `maxNetSearchTime` - the maximum number of milliseconds a `netSearch` operation can take before the cache member is considered to be unhealthy
    See Also:
      - `getMaxNetSearchTime()`

  - ### getMaxLoadTime

    long getMaxLoadTime()
    Deprecated.
    Returns the maximum number of milliseconds a cache `load` operation can take before the cache member is considered to be unhealthy.
    Returns:
      the maximum number of milliseconds a cache `load` operation can take before the cache member is considered to be unhealthy
    See Also:
      - `DEFAULT_MAX_LOAD_TIME`

  - ### setMaxLoadTime

    void setMaxLoadTime(long maxLoadTime)
    Deprecated.
    Sets the maximum number of milliseconds a cache `load` operation can take before the cache member is considered to be unhealthy.
    Parameters:
      `maxLoadTime` - the maximum number of milliseconds a cache `load` operation can take before the cache member is considered to be unhealthy
    See Also:
      - `getMaxLoadTime()`

  - ### getMinHitRatio

    double getMinHitRatio()
    Deprecated.
    Returns the minimum hit ratio of a healthy cache member.
    Returns:
      the minimum hit ratio of a healthy cache member
    See Also:
      - `DEFAULT_MIN_HIT_RATIO`

  - ### setMinHitRatio

    void setMinHitRatio(double minHitRatio)
    Deprecated.
    Sets the minimum hit ratio of a healthy cache member.
    Parameters:
      `minHitRatio` - the minimum hit ratio of a healthy cache member
    See Also:
      - `getMinHitRatio()`

  - ### getMaxEventQueueSize

    long getMaxEventQueueSize()
    Deprecated.
    Returns the maximum number of entries in the event delivery queue of a healthy cache member.
    Returns:
      the maximum number of entries in the event delivery queue of a healthy cache member
    See Also:
      - `DEFAULT_MAX_EVENT_QUEUE_SIZE`

  - ### setMaxEventQueueSize

    void setMaxEventQueueSize(long maxEventQueueSize)
    Deprecated.
    Sets the maximum number of entries in the event delivery queue of a healthy cache member.
    Parameters:
      `maxEventQueueSize` - the maximum number of entries in the event delivery queue of a healthy cache member
    See Also:
      - `getMaxEventQueueSize()`